ChartDirector Ver 5.0 (PHP Edition)

Layer.addCustomGroupLabel

Usage

addCustomGroupLabel(dataGroup, dataItem, label [, font [, fontSize [, fontColor [, fontAngle ]]]])

Description

Adds a custom data group label to object representing the group.
Data group label applies to layer types that may represent data groups. See Layer.addDataGroup on how data groups are created and the layer types that support data groups.
See Font Specification for details on various font attributes.

Arguments

Argument | Default | Description
--- | --- | ---
dataGroup | (Mandatory) | The data group number for the data point. The first data group is 0, while the nth data group is (n - 1).
dataItem | (Mandatory) | The data point number for the data point within the data group. The first data point is 0, while the nth data point is (n - 1).
label | (Mandatory) | A text string representing the data label. Parameter Substitution and Formatting is supported.
font | "" | The font used to draw the label.
fontSize | 8 | The font size used to draw the label.
fontColor | TextColor | The color used to draw the label.
fontAngle | 0 | The rotation angle of the label.

Return Value

A TextBox object representing the prototype of the custom data group label. This may be used to fine-tune the appearance of the custom data group label.

© 2009 Advanced Software Engineering Limited. All rights reserved.